# Header
And More

## org.jfree.data.resources
Class DataPackageResources

    java.lang.Object
      java.util.ResourceBundle
          java.util.ListResourceBundle
              org.jfree.data.resources.DataPackageResources

    public class DataPackageResources

extends java.util.ListResourceBundle

A resource bundle that stores all the items that might need localisation.

Nested Class Summary

Nested classes/interfaces inherited from class java.util.ResourceBundle
`java.util.ResourceBundle.Control`

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`DataPackageResources()`

Method Summary
`java.lang.Object[][]` `getContents()` Returns the array of strings in the resource bundle.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject, handleKeySet`

Methods inherited from class java.util.ResourceBundle
`clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataPackageResources

    public DataPackageResources()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Returns the array of strings in the resource bundle.

  Specified by:
    `getContents` in class `java.util.ListResourceBundle`
  Returns:
    The localised resources.

# Footer
And More

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.